summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-21 18:37:26 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-21 18:37:26 +0000
commit4765bc938c05f7b9b6f213901d66138d834fd13f (patch)
tree7cd78815eb1255cb6788876568d3dbd6359a3519 /dev-python
parent7d8bd3d8ffad1df4bc8a8728a759c24d876b9532 (diff)
downloadbaldeagleos-repo-4765bc938c05f7b9b6f213901d66138d834fd13f.tar.gz
baldeagleos-repo-4765bc938c05f7b9b6f213901d66138d834fd13f.tar.xz
baldeagleos-repo-4765bc938c05f7b9b6f213901d66138d834fd13f.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-19.6.2.ebuild40
-rw-r--r--dev-python/Faker/Manifest1
-rw-r--r--dev-python/aesara/Manifest1
-rw-r--r--dev-python/aesara/aesara-2.9.2.ebuild108
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.28.52.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.31.52.ebuild68
-rw-r--r--dev-python/jsonschema/Manifest1
-rw-r--r--dev-python/jsonschema/jsonschema-4.19.1.ebuild57
-rw-r--r--dev-python/mkdocs-material-extensions/Manifest1
-rw-r--r--dev-python/mkdocs-material-extensions/mkdocs-material-extensions-1.2.ebuild34
-rw-r--r--dev-python/notebook/Manifest1
-rw-r--r--dev-python/notebook/notebook-7.0.4.ebuild61
-rw-r--r--dev-python/openapi-schema-validator/Manifest1
-rw-r--r--dev-python/openapi-schema-validator/openapi-schema-validator-0.6.1.ebuild33
-rw-r--r--dev-python/pandas/Manifest1
-rw-r--r--dev-python/pandas/files/pandas-2.1.1-which.patch12
-rw-r--r--dev-python/pandas/pandas-2.1.1.ebuild202
-rw-r--r--dev-python/phonenumbers/Manifest1
-rw-r--r--dev-python/phonenumbers/phonenumbers-8.13.21.ebuild39
-rw-r--r--dev-python/pydantic-core/Manifest1
-rw-r--r--dev-python/pydantic-core/pydantic-core-2.9.0.ebuild137
-rw-r--r--dev-python/pydata-sphinx-theme/Manifest2
-rw-r--r--dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.14.1.ebuild48
-rw-r--r--dev-python/pyproj/Manifest1
-rw-r--r--dev-python/pyproj/pyproj-3.6.1.ebuild55
-rw-r--r--dev-python/scikit-build-core/Manifest1
-rw-r--r--dev-python/scikit-build-core/scikit-build-core-0.5.1.ebuild53
-rw-r--r--dev-python/setuptools-scm/Manifest1
-rw-r--r--dev-python/setuptools-scm/setuptools-scm-8.0.1.ebuild61
-rw-r--r--dev-python/sphinx-pytest/Manifest1
-rw-r--r--dev-python/sphinx-pytest/sphinx-pytest-0.2.0.ebuild30
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-2.0.21.ebuild14
-rw-r--r--dev-python/unearth/Manifest1
-rw-r--r--dev-python/unearth/unearth-0.11.0.ebuild39
36 files changed, 1168 insertions, 9 deletions
diff --git a/dev-python/Faker/Faker-19.6.2.ebuild b/dev-python/Faker/Faker-19.6.2.ebuild
new file mode 100644
index 000000000000..ed676dd5163e
--- /dev/null
+++ b/dev-python/Faker/Faker-19.6.2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=faker.contrib.pytest.plugin
+ epytest
+}
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 8f6a898a0dc0..22d21555343c 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -3,3 +3,4 @@ DIST Faker-19.3.1.tar.gz 1677746 BLAKE2B 1cf0c80daf23bbce824ebd81a3c31e6b12c353f
DIST Faker-19.4.0.tar.gz 1678303 BLAKE2B afb893836e9e85cbf130875274284107f621d443e80d4872c12467bad3c9cc4f6a8ea68aa829c95439e6a88f319323767d997ad9bca88870f0883392710cc858 SHA512 14e86b2f95d2e59aee71bae9017b8e6f4cde3752d9a64749c174bba2bbd3a060067adc269a22ba0083140b2f8376384bf67cce4b48af407d3b25e3cbebf682d2
DIST Faker-19.6.0.tar.gz 1679938 BLAKE2B af083363853fbb084f124971276986b459e93ec9e73470c227eab452bf688e480e37fb1f82f92bb21f40a7a52034f2ccf00e30f47d1b9c6b56da375a783c595d SHA512 130c51bdd50ef3a9a1026b0f1160ed0e1ceed86cb89646160d7cb2419a77fc21f969487e57c2ca080d7f7729c7a485f3bc12eb572efa6db308de54a15ffa493f
DIST Faker-19.6.1.tar.gz 1668966 BLAKE2B 48e1d0c658e7cd482660b797e5ac8e107c84e7d2be9ab86e55cb5f0da662ed742565c1f5a3176d1f2588b8ffafcc37e7dbd072c78e5b1ab94bea8678ea9f1d48 SHA512 1511f03cb41f70a22784a8dc1cdb5b58fdc19fc6f67d4a414a9b15619d019ec6b6564b7fa50db03535aaa3650ae93e4c948c732ae65e61652d7469d9ad83db36
+DIST Faker-19.6.2.tar.gz 1680331 BLAKE2B 3453c531a1860c3e1782e24ad2d892d8291e1fafc698483639f43e7bdd281cee6e5c8bf7e60181db72011c1434ca3bc1c7f2a877ce136bf6e4f00286249033b9 SHA512 8a7929135ad562fafc2c95408ed644e7b965215d3e9ea2f2682e2aa2a5bab9759ab42d67380c7f8c89cf099cb65ad0dd13f6575c028f20550ef157f7db90102b
diff --git a/dev-python/aesara/Manifest b/dev-python/aesara/Manifest
index e41bf1e92608..4d967877b2a9 100644
--- a/dev-python/aesara/Manifest
+++ b/dev-python/aesara/Manifest
@@ -1 +1,2 @@
DIST aesara-2.9.1.tar.gz 4423120 BLAKE2B 7a9b789cf455a85baa48be20112e42a5449c955a57327125356968cbc8a9657d083a7aaa47048d322be05a822250f6c5cb50ff838b957595814d19499166e555 SHA512 17aa8f901a3194f82e4e47c78f23c91bb07ccfed7664e807537cd9db8d92f892357b1a7219b58881c16308b13689d088eaadcf113e17389e3f1297fc1d5e9381
+DIST aesara-2.9.2.tar.gz 4424417 BLAKE2B d5e40ecdba51d32ee160efe287d11ee96cf00fbea2882a5bfbba08099edf12e449f56eb3af636cb50b675d6aacc4270ee57c30d3c6848abd9a925285a91df7ae SHA512 91cf78fe4ee107895f91365adce6b4446c0a6908e36ebba407a9ad896af9dd38d035c0cd08515ca7789a052ad1c1f34930b46e8196768ebbcf27e8f37c1053a3
diff --git a/dev-python/aesara/aesara-2.9.2.ebuild b/dev-python/aesara/aesara-2.9.2.ebuild
new file mode 100644
index 000000000000..c3c58346c306
--- /dev/null
+++ b/dev-python/aesara/aesara-2.9.2.ebuild
@@ -0,0 +1,108 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 multiprocessing optfeature pypi
+
+DESCRIPTION="Library for operating on mathematical expressions with multi-dimensional arrays"
+HOMEPAGE="
+ https://github.com/aesara-devs/aesara/
+ https://pypi.org/project/aesara/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/cons[${PYTHON_USEDEP}]
+ dev-python/etuples[${PYTHON_USEDEP}]
+ dev-python/logical-unification[${PYTHON_USEDEP}]
+ dev-python/minikanren[${PYTHON_USEDEP}]
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/aesara-2.6.5-compiledir-tid.patch
+ "${FILESDIR}"/aesara-2.8.10-fix-tuple.patch
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # do not claim "bin" package (sic!)
+ rm bin/__init__.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # speed tests are unreliable
+ tests/scan/test_basic.py::test_speed
+ tests/scan/test_basic.py::test_speed_rnn
+ tests/scan/test_basic.py::test_speed_batchrnn
+ tests/link/test_vm.py::test_speed
+ tests/link/test_vm.py::test_speed_lazy
+ tests/tensor/test_gc.py::test_merge_opt_runtime
+
+ # rounding problem?
+ # https://github.com/aesara-devs/aesara/issues/477
+ tests/tensor/test_math_scipy.py::TestGammaUBroadcast::test_good
+ tests/tensor/test_math_scipy.py::TestGammaUInplaceBroadcast::test_good
+
+ # Deprecation warning causes unexpected additional output
+ tests/tensor/test_basic.py::TestLongTensor::test_fit_int64
+
+ # dunno
+ tests/tensor/test_elemwise.py::TestDimShuffle::test_memory_leak
+ tests/tensor/signal/test_pool.py::TestDownsampleFactorMax::test_DownsampleFactorMaxGradGrad_grad
+
+ # TODO
+ tests/link/c/test_op.py::test_ExternalCOp_c_code_cache_version
+ tests/sparse/sandbox/test_sp.py::TestSP::test_multilayer_conv
+ tests/sparse/sandbox/test_sp.py::TestSP::test_maxpool
+
+ # TODO: Package pytest-benchmark
+ tests/scan/test_basic.py::TestExamples::test_reordering
+ tests/scan/test_basic.py::TestExamples::test_scan_as_tensor_on_gradients
+ tests/scan/test_basic.py::TestExamples::test_multiple_outs_taps
+ tests/scan/test_rewriting.py::TestPushOutAddScan::test_pregreedy_optimizer
+ tests/scan/test_rewriting.py::TestSaveMem::test_savemem_opt
+ tests/scan/test_basic.py::test_cython_performance
+
+ # new numpy?
+ tests/tensor/nnet/test_blocksparse.py::TestBlockSparseGemvAndOuter
+ )
+ local EPYTEST_IGNORE=(
+ # we do not package jax or numba
+ tests/link/jax
+ tests/link/numba
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x AESARA_FLAGS="cxx=${CXX}"
+ AESARA_FLAGS+=",config.gcc__cxxflags=\"${CXXFLAGS}\""
+ AESARA_FLAGS+=',compiledir_format="compiledir_%(thread_id)s"'
+
+ epytest -p xdist.plugin -n "$(makeopts_jobs)" --dist=worksteal
+ # clean up the compiledir, as it can grow pretty large
+ rm -r "${HOME}"/.aesara || die
+}
+
+pkg_postinst() {
+ optfeature "GPU code generation/execution on NVIDIA gpus" dev-util/nvidia-cuda-toolkit
+ optfeature "GPU/CPU code generation on CUDA and OpenCL devices" dev-libs/libgpuarray dev-python/pycuda
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 610ba83d041c..80c1dd65ad87 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -14,3 +14,4 @@ DIST boto3-1.28.48.gh.tar.gz 700213 BLAKE2B 3ddb02067fee032d3d5e493849936b854130
DIST boto3-1.28.49.gh.tar.gz 700443 BLAKE2B 7c76e0ee6d6de1f7a67534a49e54092a564d419f9fc18b25375d2416af07987039bf864e0c2a996d5b64c3f9207dcd50da6ee5b0e2bf606e453d7841ddd6f7d4 SHA512 597debebb60c33bdf2bcc485bbf9ab7c433a5750b71708ffcd2847b6b21199c1c598edeb35e236f6b7feca3f762b5d62f9637e00876b7c0629baae50e7f132c9
DIST boto3-1.28.50.gh.tar.gz 700837 BLAKE2B 57dd760ef175b16a9aebfa86d39a6529809f22101a1cab3334f239d23ef6f865fa573dcf38e5aab66aee5ea3c448c91c21bff78835a3d07de8508397c5e809fa SHA512 8b31a6012b398c067b927ac4c428fa61f881a88afb865d88a407d9c06fc69a402778198afa7f39ee158f61e952956f18f6f32edbf076098eda5431e92c06f5cc
DIST boto3-1.28.51.gh.tar.gz 701097 BLAKE2B a9e4fd188bae4a6969d68bc089c350326fc50832442d4962e8168c56bb466c4583f3be9db18828c4e55a15859f8a1f864d2f1f1db4819141edc193dbcb28eb6e SHA512 e982b7c9a2fdcc562b866313c95ac558e42735addf512b9ec21793811c1bec1f8647cea41fb61fe06ed12c7b9390da3a5e281128857d150b5693046d277faf11
+DIST boto3-1.28.52.gh.tar.gz 701947 BLAKE2B 49a7585e53601bd57a63ec11ececa2bbda79975bbf4b40afe956799de4a8f795c049b3a98d211817ccb25c6cb23689e2a6028d341e3d047b7df7bff10e4ea482 SHA512 da32914e1bda4b624ffd6a0b4ca4d1bfee4d10d38b09bc4c5035a28bd948d4dffc2ef529e667e768b260988ab32a477d1b3668cf4a67ac33fb52bd4816779395
diff --git a/dev-python/boto3/boto3-1.28.52.ebuild b/dev-python/boto3/boto3-1.28.52.ebuild
new file mode 100644
index 000000000000..e654679ffe12
--- /dev/null
+++ b/dev-python/boto3/boto3-1.28.52.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit} \
+ -p xdist -n "$(makeopts_jobs)" --dist=worksteal
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 983a9dc68645..e8280f82f712 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -14,3 +14,4 @@ DIST botocore-1.31.48.gh.tar.gz 11946450 BLAKE2B 5393125dcc346182ea81ebebeb181cc
DIST botocore-1.31.49.gh.tar.gz 11946203 BLAKE2B 3b3026f0861705cc3467391c673d2e2f8e63af1a2e52b63cad21e5f75bf31f5970a2a5f5a959dc8dcd1be6c3ad67ed10642c79a7d41a24e15e983096818e8197 SHA512 8e1cb12ff7455bbf62c5cf54c2bc1b8f48484ebc6e95b4e061d5bc6388a4ecd3ff4152a1d9aab5cbee84d872d59417cfb1cecb6fd281f1f8dd9e3e7e04cc782d
DIST botocore-1.31.50.gh.tar.gz 11946516 BLAKE2B 84f9eadc8c2867286d098e9f429c097bcd58b02898779ff3b4ee390af91c3949675b43ea954e2c393b897f97941326fbf0a9d477df015f2406e00f77629e79ed SHA512 53157bb104f10e711b409a31ede6ccce6be7ae013474ca42248db0afd7dcaae0f9f5ec0637a9c337c2691de79a0df743fc3bde69c16ef746b6274d4bd252bbff
DIST botocore-1.31.51.gh.tar.gz 11946778 BLAKE2B 59dddb63a9d6d4944498d34af28bc6325a4867986fd7240bc4c1937572574eccc8563ddcb768f2053c85b4d9b6fc73e670f453b588519dae4a526b0ee54db17c SHA512 a7ba6922fc1cb14da7611a316a6ad7c846b4521829b55b6896365f0f2a6563bf3bcf456699d9d94febc4917ce9d23105542190eff6c97dc7a1d027d95057c655
+DIST botocore-1.31.52.gh.tar.gz 11951798 BLAKE2B cdb703fac2244c64ebaaf2b869a48121c6145f54ab9804d172b3ea03f2cffc23b5db72ea0728a0c27c8116d939a5f8413124c2c4026e68c27427f0c214b15ea1 SHA512 775616106aa1013f884c7513b2b445c9e138c21a30e9b7f3b5a17a364d8d7abee4248ef0962e8617641de4e7e0f924c61bbb98c6498ef2096aae2d0cdaff0996
diff --git a/dev-python/botocore/botocore-1.31.52.ebuild b/dev-python/botocore/botocore-1.31.52.ebuild
new file mode 100644
index 000000000000..10b7950a4ee2
--- /dev/null
+++ b/dev-python/botocore/botocore-1.31.52.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x EPYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit} -p xdist -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/jsonschema/Manifest b/dev-python/jsonschema/Manifest
index 7ff5a3e01a0e..c37fb059a403 100644
--- a/dev-python/jsonschema/Manifest
+++ b/dev-python/jsonschema/Manifest
@@ -5,3 +5,4 @@ DIST jsonschema-4.18.3.tar.gz 315165 BLAKE2B 486e36cab882628a9f720c098f91f1bafbc
DIST jsonschema-4.18.4.tar.gz 315212 BLAKE2B f931a5469653cb9ecba50b8e79ddf70b1f2b730db6bce3a91a374ae177dfb812f4492fd53a16f2a563787682c2c34618cac16adbc891d59089eb03fcdb8a46a4 SHA512 b7c3805460d5d49c48039f50e616ee35204cb3222384cd1f57029a04fd19c4dcab5a700770ad36c3616cce85cce902abddf4361f7a7fa044318255967ecbfcf5
DIST jsonschema-4.18.6.tar.gz 316619 BLAKE2B 1036a340b5605107855565ce68403acbfee85f736c8ded4debfa3bd680014f69308f86ee1514907dc67683658cf23d298cf506cf23ec19d5a4eb2816c034a050 SHA512 92a3b6b06c94426d7851547c4ea6d3c6e4eb12fb45b58030f10cc5772d1ec2ca332d443e82bd7f448e83fabaebbe0be7e3c0266569bcd815d1e36970f6966fe9
DIST jsonschema-4.19.0.tar.gz 317546 BLAKE2B a554e5c26fe13c09f6e050c193c6608e9286660e75d555dad574b16b32a24667b5450d452079b714dace657f2aade7621c0c79b4585c4a8ac659f9242ed528f0 SHA512 95cc156fe0505da469600cdbaaf921853a983d45f6b8570e5bbffe9ee41abbf5757b2ccddde443b0d833a3ebdcbff321bda54b136b47d7650d3a40f6402338fb
+DIST jsonschema-4.19.1.tar.gz 318089 BLAKE2B 63ddd573ec47bc1c58c2b1bc4a20dd833c4c041de69b8c2e3cfa24c3494d3879fb09914491758ef38e8ae775b347f68d1d9c2e4d3cfc087dbd8c55d381cccd66 SHA512 60fa769faf6e3fc2c14eb9acd189c86e9d366b157230a5681d36552af0c159cb1ad33fd920668a36afdab98bc97253f91501704c5c07b5009fdaf9d29b52060d
diff --git a/dev-python/jsonschema/jsonschema-4.19.1.ebuild b/dev-python/jsonschema/jsonschema-4.19.1.ebuild
new file mode 100644
index 000000000000..f6f6618372c8
--- /dev/null
+++ b/dev-python/jsonschema/jsonschema-4.19.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An implementation of JSON-Schema validation for Python"
+HOMEPAGE="
+ https://pypi.org/project/jsonschema/
+ https://github.com/python-jsonschema/jsonschema/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-specifications-2023.03.6[${PYTHON_USEDEP}]
+ >=dev-python/referencing-0.28.4[${PYTHON_USEDEP}]
+ >=dev-python/rpds-py-0.7.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ dev-python/hatch-fancy-pypi-readme[${PYTHON_USEDEP}]
+ test? (
+ !!dev-python/shiboken6
+ )
+"
+
+# formatter deps
+RDEPEND+="
+ dev-python/fqdn[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/isoduration[${PYTHON_USEDEP}]
+ >=dev-python/jsonpointer-1.13[${PYTHON_USEDEP}]
+ dev-python/rfc3339-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3986-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3987[${PYTHON_USEDEP}]
+ dev-python/uri-template[${PYTHON_USEDEP}]
+ >=dev-python/webcolors-1.11[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires pip, does not make much sense for the users
+ jsonschema/tests/test_cli.py::TestCLIIntegration::test_license
+ # fragile warning tests
+ jsonschema/tests/test_deprecations.py
+ # wtf?
+ jsonschema/tests/test_jsonschema_test_suite.py::test_suite_bug
+)
diff --git a/dev-python/mkdocs-material-extensions/Manifest b/dev-python/mkdocs-material-extensions/Manifest
index 3420c4a5a04f..63c58e8a2ec1 100644
--- a/dev-python/mkdocs-material-extensions/Manifest
+++ b/dev-python/mkdocs-material-extensions/Manifest
@@ -1 +1,2 @@
DIST mkdocs-material-extensions-1.1.1.gh.tar.gz 12092 BLAKE2B ad5a085cf65768f1bf40f5dfc4323fc8047495fa8c501474e9b2fd6db141ea0915b13eb5596225b5a823b9e9f315f5de1d5be1a0a717d06e4ac17ddd7becb1b7 SHA512 84937d3e9a4817d80fd19b9d359d3b2fdb6766b58c5f0b0530d84ad555b628da3796bbbacebd1b3ad438cbc148bbce681e7038b2dbe5c086645b2f5426a5cb2d
+DIST mkdocs-material-extensions-1.2.gh.tar.gz 11971 BLAKE2B eeaf2743c0431a27dc51ad3e00075e5fefec7429ef909d22c95e87cf6333256eec8a6cff16a646c846c0ccdf4414df73ef87d67542d2817d6d49295b4df9066a SHA512 b97deabb35c817b6c1001a3595662abebe78a8e6053887c073af004cd1382320c1a3cad9032de4664615124d493a113d4bc455fe9d945df0bf4857d299b6cc86
diff --git a/dev-python/mkdocs-material-extensions/mkdocs-material-extensions-1.2.ebuild b/dev-python/mkdocs-material-extensions/mkdocs-material-extensions-1.2.ebuild
new file mode 100644
index 000000000000..d19043828111
--- /dev/null
+++ b/dev-python/mkdocs-material-extensions/mkdocs-material-extensions-1.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Extension pack for Python Markdown"
+HOMEPAGE="
+ https://github.com/facelessuser/mkdocs-material-extensions/
+ https://pypi.org/project/mkdocs-material-extensions/
+"
+SRC_URI="
+ https://github.com/facelessuser/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/mkdocs-material-5.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/notebook/Manifest b/dev-python/notebook/Manifest
index ef361da10301..ef7b4228d4d2 100644
--- a/dev-python/notebook/Manifest
+++ b/dev-python/notebook/Manifest
@@ -3,3 +3,4 @@ DIST notebook-7.0.0.tar.gz 3922786 BLAKE2B 5aaeae9f48c456691607d5ef05012368f0e6a
DIST notebook-7.0.1.tar.gz 3926420 BLAKE2B a711c6202ec87f5b9ee9b82779048f4dc366643a645890006b6588ddd70428e79e4028171cc4b4fb4fa1e6f93a2a948aae34980915ad4a2a5f7c34971e6bf917 SHA512 4bfae67044525527c1d5ff1dd269c8ca1179bbef3a9f0cf043244103c996f02ef4cbbf11c4ceffe84ca0cb0a8250f18cd3ebf6dd55cca53ceaa47f65df7dae22
DIST notebook-7.0.2.tar.gz 3927445 BLAKE2B 09f867a5eed76616d749afcd18bf673fc2c09f5073a17d5a89a284d8aacb9e110a67f24973e0ba165027b3199f8e9032f549aabcbd8d3bc67a9d6533d21a4e09 SHA512 b204f15f855f8e829dfd1d325be664cc0328e2b897d838bfd9721ca369d4da8d0d1012bff69b40a35f0b186d3eae5f46326604eefb0b8e91824a815deedbcc67
DIST notebook-7.0.3.tar.gz 3934398 BLAKE2B 0047d1fa403e3fb6ededb764f99f9e76aaba6099055ac6dd28183e8d7921dc8a9bb68072b7909f4fb749a26f01989c88c45cf58fe3583250bb0bf9d0847dc1ac SHA512 141acc5b46b7c3023c5aab3cdcfaa287225c627bde053f8958bdce5bdfd600ba2bfa5f119ce8b026cf1889cd7acb265a4c13eae6b0afdd1ed2a4fcfb3264976f
+DIST notebook-7.0.4.tar.gz 3928907 BLAKE2B edd498636d35f348f520915d43686243a3ff4b2f8ad4984bc05766403a3bffcd699e1ba691b672ad3ab8f08983920f62a1c5b0308a94e4a7366eb30e049f5d43 SHA512 e174fcbb93fcaf67c086b2160d7875457681222e21c23efbf35d4c7503e528df3b368b4d122eebf199a86ea155cf3e6b7b15036587bb9b4260a8d22e7e4a9f0b
diff --git a/dev-python/notebook/notebook-7.0.4.ebuild b/dev-python/notebook/notebook-7.0.4.ebuild
new file mode 100644
index 000000000000..55f1f3896913
--- /dev/null
+++ b/dev-python/notebook/notebook-7.0.4.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi xdg-utils
+
+DESCRIPTION="Jupyter Interactive Notebook"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/notebook/
+ https://pypi.org/project/notebook/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-4.0.2[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-5[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ <dev-python/notebook-shim-0.3[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/nbval[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ dev-python/pytest-jupyter[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
diff --git a/dev-python/openapi-schema-validator/Manifest b/dev-python/openapi-schema-validator/Manifest
index 829635744809..584926f2ea00 100644
--- a/dev-python/openapi-schema-validator/Manifest
+++ b/dev-python/openapi-schema-validator/Manifest
@@ -1,3 +1,4 @@
DIST openapi_schema_validator-0.4.4.tar.gz 11626 BLAKE2B e4247f07476d472761f46c98d9259383e960641b910334d967e61f55c63b855c752176e7217f8870016ec3767b0c1c45e8863ca600e354eb5aaa62bcacbe8d51 SHA512 273e3d7080c794ff277170e55e67e32d65211469642652437e59f985a002b20bd2cc8643d2b0214dc232980dd69c2f87ea748537552c66999a110b2e4be2125c
DIST openapi_schema_validator-0.5.0.tar.gz 11996 BLAKE2B 91f4c51c1d44e363b5f4ca8c69c7836a6df3927d2db5f255b1cc81b97b2056b409becc6f5fb44c0fb82a11fb6a6de398ae49930fdcf77cdb1d88c998b75bf00f SHA512 4db13d63641f375d809501ca7f6efecbbdcc46e74fff1d06657e0c509e6e182c9b97a83031b7a9251e9897f5dd5620a29ddf932f7b8e191c3f78fd2adba5bc68
DIST openapi_schema_validator-0.6.0.tar.gz 11849 BLAKE2B 34f3b0d0e301ff961d777c3a995906df396436da1b7c256c7bf4128ab2d48a05b38aaa362fa2b93b46e03fd176f43b6c585e1c4a3aab3e4baa81dc43cb6e8429 SHA512 ac90d424fcd8a416d395f8e74b3dfb51d2974ce74189e2d16ad4210ff0e7290b789c9e7268504c61aaad81f96c524e4fc3e595a856e26f7aee7df03f27e2fb2e
+DIST openapi_schema_validator-0.6.1.tar.gz 11855 BLAKE2B c5c9a4a0c97c7804f670064b424f7e691e2aea188eb0c6879e1213b7c5746293a90f45552ca9f911d207562c98d83c1b5b2b7b42c2394d787f722790af2b3ce2 SHA512 e7bf1f9448aa034018cf47b9ae4fc95e29d439f90dcb9fda7f305ada732aed7567efd0965d823916da7778f8991b49ce30e2dc6aadd3608ce6927a4d6d652c4b
diff --git a/dev-python/openapi-schema-validator/openapi-schema-validator-0.6.1.ebuild b/dev-python/openapi-schema-validator/openapi-schema-validator-0.6.1.ebuild
new file mode 100644
index 000000000000..e2b57d28b330
--- /dev/null
+++ b/dev-python/openapi-schema-validator/openapi-schema-validator-0.6.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI schema validation for Python"
+HOMEPAGE="
+ https://github.com/python-openapi/openapi-schema-validator/
+ https://pypi.org/project/openapi-schema-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-4.19.1[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-specifications-2023.5.2[${PYTHON_USEDEP}]
+ dev-python/rfc3339-validator[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/--cov/d' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pandas/Manifest b/dev-python/pandas/Manifest
index c35b3e096f7f..6e451cb47dae 100644
--- a/dev-python/pandas/Manifest
+++ b/dev-python/pandas/Manifest
@@ -6,3 +6,4 @@ DIST pandas-2.0.1.tar.gz 5279594 BLAKE2B 84dbab2c6079c77eb7f367aaabc2f4d0c8205a3
DIST pandas-2.0.2.tar.gz 5290568 BLAKE2B 26eb9db6c1c2b4f9ae31b3aae09fc4db930d13e59b2037261eb2e3006a04402bc0a502febe29c0a3e071953bfbf4efac56eddf14bca2e22be0128e82d649a958 SHA512 feda98a2f83865d0ecb3fc2c37c927ddcd075f621954758eee26f1e9a0d9d1367ce790972f4ee3fb5928731ac157533345635fed390fdc306541047ab47fda60
DIST pandas-2.0.3.tar.gz 5284455 BLAKE2B 42db94dd031ca10c87434f4f903509abf0e6c2c3e3561ae5f5db6db09ebf95996aaa34e1f98a3e33f2b687c69dd1b38dc136d5928da2c096756b6755bf9b31c0 SHA512 bee3640521692545cb063b78c85f5ab90817c8029156f97856af4c9edfcc3e13596b48c4c1b4060c92e7e75b3b876d0734f7c1e3b2096d44c52ec09372c99d2e
DIST pandas-2.1.0.tar.gz 4263970 BLAKE2B cae30e74fa227252a4d05a032662f5229d676917720b7cca5a85d91a680f11bca7b0fb8ac79bdf1cd7f580aab99db1bd13571b86510516d10a74b1197abebbd1 SHA512 85a64ef7abffdb3a78547942dabfe621d7c8e2cf0da5285e64a9018865fadb037e030d5077a1790acecc1616200f50a777c6ab775b888a72d7fc36cd8855a704
+DIST pandas-2.1.1.tar.gz 4266250 BLAKE2B 9d8256300db65b606e34b16d7f3884b602794fe3c14d66115056db4a4658603fbe7a7a3082dfc781760517d643d6e21a6d4d43441131ec6aed5965b6fa8a0e9c SHA512 346e13e06805948c569712028c9b8d756c67ca2fab040999a51a4e759206d50d8ee25be38ac3c7cb3d2e692a02d85c1ec198841311fe43cb04b64f2741627a4e
diff --git a/dev-python/pandas/files/pandas-2.1.1-which.patch b/dev-python/pandas/files/pandas-2.1.1-which.patch
new file mode 100644
index 000000000000..424c10af82ae
--- /dev/null
+++ b/dev-python/pandas/files/pandas-2.1.1-which.patch
@@ -0,0 +1,12 @@
+diff --git a/pandas/io/clipboard/__init__.py b/pandas/io/clipboard/__init__.py
+index c07f51d875..14d79fb367 100644
+--- a/pandas/io/clipboard/__init__.py
++++ b/pandas/io/clipboard/__init__.py
+@@ -87,6 +87,7 @@ else:
+
+
+ def _executable_exists(name):
++ return which(name)
+ return (
+ subprocess.call(
+ [WHICH_CMD, name], stdout=subprocess.PIPE, stderr=subprocess.PIPE
diff --git a/dev-python/pandas/pandas-2.1.1.ebuild b/dev-python/pandas/pandas-2.1.1.ebuild
new file mode 100644
index 000000000000..7b9ff6a495b5
--- /dev/null
+++ b/dev-python/pandas/pandas-2.1.1.ebuild
@@ -0,0 +1,202 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+PYTHON_REQ_USE="threads(+)"
+
+VIRTUALX_REQUIRED="manual"
+
+inherit distutils-r1 multiprocessing optfeature pypi virtualx
+
+DESCRIPTION="Powerful data structures for data analysis and statistics"
+HOMEPAGE="
+ https://pandas.pydata.org/
+ https://github.com/pandas-dev/pandas/
+ https://pypi.org/project/pandas/
+"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~arm64-macos ~x64-macos"
+IUSE="full-support minimal test X"
+RESTRICT="!test? ( test )"
+
+RECOMMENDED_DEPEND="
+ >=dev-python/bottleneck-1.3.4[${PYTHON_USEDEP}]
+ >=dev-python/numexpr-2.8.0[${PYTHON_USEDEP}]
+"
+
+# TODO: add pandas-gbq to the tree
+# TODO: Re-add dev-python/statsmodel[python3_11] dep once it supports python3_11
+# https://github.com/statsmodels/statsmodels/issues/8287
+OPTIONAL_DEPEND="
+ >=dev-python/beautifulsoup4-4.11.1[${PYTHON_USEDEP}]
+ dev-python/blosc[${PYTHON_USEDEP}]
+ >=dev-python/html5lib-1.1[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.1.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.8.0[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-3.6.1[${PYTHON_USEDEP}]
+ >=dev-python/openpyxl-3.0.7[${PYTHON_USEDEP}]
+ >=dev-python/pytables-3.7.0[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-1.4.36[${PYTHON_USEDEP}]
+ >=dev-python/tabulate-0.8.10[${PYTHON_USEDEP}]
+ >=dev-python/xarray-2022.3.0[${PYTHON_USEDEP}]
+ >=dev-python/xlrd-2.0.1[${PYTHON_USEDEP}]
+ >=dev-python/xlsxwriter-3.0.3[${PYTHON_USEDEP}]
+ >=dev-python/xlwt-1.3.0[${PYTHON_USEDEP}]
+ !hppa? (
+ $(python_gen_cond_dep '
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ ' python3_{8..10} )
+ >=dev-python/scipy-1.8.1[${PYTHON_USEDEP}]
+ )
+ X? (
+ || (
+ >=dev-python/PyQt5-5.15.6[${PYTHON_USEDEP}]
+ >=dev-python/QtPy-2.2.0[${PYTHON_USEDEP}]
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+ )
+"
+DEPEND="
+ >=dev-python/numpy-1.23.2[${PYTHON_USEDEP}]
+"
+COMMON_DEPEND="
+ ${DEPEND}
+ >=dev-python/python-dateutil-2.8.2[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2020.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${COMMON_DEPEND}
+ >=dev-python/cython-0.29.33[${PYTHON_USEDEP}]
+ >=dev-python/versioneer-0.28[${PYTHON_USEDEP}]
+ test? (
+ ${VIRTUALX_DEPEND}
+ ${RECOMMENDED_DEPEND}
+ ${OPTIONAL_DEPEND}
+ >=dev-python/beautifulsoup4-4.11.1[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.46.1[${PYTHON_USEDEP}]
+ >=dev-python/openpyxl-3.0.10[${PYTHON_USEDEP}]
+ >=dev-python/pymysql-1.0.2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-7.3.2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-asyncio-0.17.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/psycopg-2.9.3:2[${PYTHON_USEDEP}]
+ >=dev-python/xlsxwriter-3.0.3[${PYTHON_USEDEP}]
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+ dev-python/tzdata[${PYTHON_USEDEP}]
+ !minimal? ( ${RECOMMENDED_DEPEND} )
+ full-support? ( ${OPTIONAL_DEPEND} )
+"
+
+PATCHES=(
+ # a quick hack, it's already fixed in main
+ "${FILESDIR}/pandas-2.1.1-which.patch"
+)
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # test for rounding errors, fails if we have better precision
+ # e.g. on amd64 with FMA or on arm64
+ # https://github.com/pandas-dev/pandas/issues/38921
+ tests/window/test_rolling.py::test_rolling_var_numerical_issues
+
+ # TODO; unhappy about DISPLAY?
+ tests/test_downstream.py::test_seaborn
+
+ # OOMs
+ tests/io/parser/test_c_parser_only.py::test_bytes_exceed_2gb
+
+ # TODO: numexpr says "forbidden control characters"
+ tests/computation/test_eval.py::TestOperations::test_multi_line_expression_local_variable
+ 'tests/computation/test_eval.py::test_query_token[numexpr-Temp(\xb0C)]'
+ tests/frame/test_query_eval.py::TestDataFrameQueryBacktickQuoting::test_lots_of_operators_string
+ tests/frame/test_query_eval.py::TestDataFrameQueryBacktickQuoting::test_multiple_spaces
+ tests/frame/test_query_eval.py::TestDataFrameQueryBacktickQuoting::test_parenthesis
+ tests/frame/test_query_eval.py::TestDataFrameQueryBacktickQuoting::test_start_with_spaces
+ tests/frame/test_query_eval.py::TestDataFrameQueryNumExprPandas::test_local_syntax
+ tests/frame/test_query_eval.py::TestDataFrameQueryNumExprPandas::test_local_variable_with_in
+ tests/frame/test_query_eval.py::TestDataFrameQueryNumExprPandas::test_nested_scope
+ tests/frame/test_query_eval.py::TestDataFrameQueryNumExprPandas::test_query_scope
+
+ # TODO: missing data not covered by --no-strict-data-files?
+ tests/io/xml/test_xml.py::test_empty_stylesheet
+ tests/io/xml/test_xml.py::test_wrong_file_path
+
+ # TODO
+ tests/frame/test_arithmetic.py::TestFrameFlexArithmetic::test_floordiv_axis0_numexpr_path
+
+ # deprecation warning
+ tests/io/pytables/test_retain_attributes.py::test_retain_index_attributes2
+
+ # Needs 64-bit time_t (TODO: split into 32-bit arch only section)
+ tests/tseries/offsets/test_year.py::test_add_out_of_pydatetime_range
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BusinessDay]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BusinessHour]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BusinessMonthEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BusinessMonthBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BQuarterEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BQuarterBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-CustomBusinessDay]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-CustomBusinessHour]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-CustomBusinessMonthEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-CustomBusinessMonthBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-MonthEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-MonthBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-SemiMonthBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-SemiMonthEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-QuarterEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-LastWeekOfMonth]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-WeekOfMonth]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-Week]'
+
+ # hdf / pytables have alignment problems: bug #911660
+ # https://github.com/pandas-dev/pandas/issues/54396
+ tests/io/pytables/test_append.py::test_append_frame_column_oriented
+ tests/io/pytables/test_store.py::test_select_filter_corner
+ )
+
+ local -x LC_ALL=C.UTF-8
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ "${EPYTHON}" -c "import pandas; pandas.show_versions()" || die
+ # --no-strict-data-files is necessary since upstream prevents data
+ # files from even being included in GitHub archives, sigh
+ # https://github.com/pandas-dev/pandas/issues/54907
+ epytest pandas/tests \
+ --no-strict-data-files \
+ --maxfail=32 \
+ -m "not single and not slow and not network" \
+ -n "$(makeopts_jobs)" --dist=worksteal ||
+ die "Tests failed with ${EPYTHON}"
+ rm test-data.xml || die
+}
+
+pkg_postinst() {
+ optfeature "accelerating certain types of NaN evaluations, using specialized cython routines to achieve large speedups." dev-python/bottleneck
+ optfeature "accelerating certain numerical operations, using multiple cores as well as smart chunking and caching to achieve large speedups" ">=dev-python/numexpr-2.1"
+ optfeature "needed for pandas.io.html.read_html" dev-python/beautifulsoup4 dev-python/html5lib dev-python/lxml
+ optfeature "for msgpack compression using blosc" dev-python/blosc
+ optfeature "Template engine for conditional HTML formatting" dev-python/jinja
+ optfeature "Plotting support" dev-python/matplotlib
+ optfeature "Needed for Excel I/O" ">=dev-python/openpyxl-3.0.10" dev-python/xlsxwriter dev-python/xlrd dev-python/xlwt
+ optfeature "necessary for HDF5-based storage" ">=dev-python/pytables-3.7.0"
+ optfeature "R I/O support" dev-python/rpy
+ optfeature "Needed for parts of pandas.stats" dev-python/statsmodels
+ optfeature "SQL database support" ">=dev-python/sqlalchemy-1.4.36"
+ optfeature "miscellaneous statistical functions" dev-python/scipy
+ optfeature "necessary to use pandas.io.clipboard.read_clipboard support" dev-python/PyQt5 dev-python/QtPy dev-python/pygtk x11-misc/xclip x11-misc/xsel
+}
diff --git a/dev-python/phonenumbers/Manifest b/dev-python/phonenumbers/Manifest
index dbb7dab0cc9e..2f9649a0936c 100644
--- a/dev-python/phonenumbers/Manifest
+++ b/dev-python/phonenumbers/Manifest
@@ -1,3 +1,4 @@
DIST python-phonenumbers-8.13.18.gh.tar.gz 4914264 BLAKE2B 1bd17f2f8f68e475fcea4f69357001bdb8230827551d33bfec8727d1a04c175c4066c094742d02ad0c610e1ba80b309c3aae17d45ae4f735e620f0abecb3a91b SHA512 1656ce7ef9834f60c386fa3ca26fb9be81d4663ad29b007ddc64104d7678ea529cb2928b75df626076fc9859e36fb210147126fb634c328051d5321f9352c15e
DIST python-phonenumbers-8.13.19.gh.tar.gz 4916068 BLAKE2B 40833f41923968df4a35f4db70e2e90fc98e6c216adc38d39e1dfcf7fa3d2c244e948b533a37469822d4643819840314432cb2e46a7c96671140f897421ea969 SHA512 56396766c034b8e7955af2e6224b56c3ae68a74d19f8dcb7871b1d302571e6b7be5d18b093ded40f3815e454ce038022d2ac46bc69425db100b1e1b678064693
DIST python-phonenumbers-8.13.20.gh.tar.gz 4916090 BLAKE2B 53ca7e492218a160979ff2da29089bb2deabda0f92ce17404c96d13a9792c9ffe4308f1796450b45589ce75298aaa6580460ada3aa09c8a716e26e91671e53bb SHA512 012c382b754691d16b772c4fb39577bd9ac9576e035fbacad9667b4963c4bdce45d3205625faea72aabae285ebb1b7ba48040e3c5e09bca3dc4752ce97feebeb
+DIST python-phonenumbers-8.13.21.gh.tar.gz 4916054 BLAKE2B 0086fe789f427140cf8178c4988b9928f4d7e361be9d270d0788470dcc17bde6797dec1e3fd05116a93383034d895c9d0f0c7a3254e55c4c9afca5e10714f2c2 SHA512 9b3d80dc2cc864612d86ecf40488fff802f9a9ac4899cb70429515510bdeb728d846ecd0afd0dc284099d8a4b7f3c81a5fd94081cbb691f4aa6d4d9c85aa4319
diff --git a/dev-python/phonenumbers/phonenumbers-8.13.21.ebuild b/dev-python/phonenumbers/phonenumbers-8.13.21.ebuild
new file mode 100644
index 000000000000..b0322ad89447
--- /dev/null
+++ b/dev-python/phonenumbers/phonenumbers-8.13.21.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Python port of Google's libphonenumber"
+HOMEPAGE="
+ https://github.com/daviddrysdale/python-phonenumbers/
+ https://pypi.org/project/phonenumbers/
+"
+SRC_URI="
+ https://github.com/daviddrysdale/python-phonenumbers/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/python
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( ../README.md )
+
+python_test() {
+ "${EPYTHON}" testwrapper.py -v || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/pydantic-core/Manifest b/dev-python/pydantic-core/Manifest
index 024528d5b3ff..65807170431c 100644
--- a/dev-python/pydantic-core/Manifest
+++ b/dev-python/pydantic-core/Manifest
@@ -45,6 +45,7 @@ DIST pydantic_core-2.6.1.tar.gz 334288 BLAKE2B 663ccdc9adc52d12c1f060f62845a0b9a
DIST pydantic_core-2.6.3.tar.gz 337231 BLAKE2B 942a12228ad46d4b5365c781f8f7be28266c54e29bf5ab21e49ef31d25319d065c2f5f0bdc2ccca77888d38cfdea90fb2b415a0c203d8ae62825fb3ef618e1fb SHA512 5123fb55b002bc857ec03239163a5517709ea84430ac7b92d2027bdfbdba278d37caaa0d017d89af8e5306296667d7eb500bfc536a769d99c662b3fbb3835b63
DIST pydantic_core-2.7.0.tar.gz 338194 BLAKE2B fa1914f2b32db8bf674a1aaf0b3415d2409ac280facd7d81f38e4853d1fd9b0eeba5f833377837ae06fca999dfe67d2c1e846d097ff88e679408bf47239f836b SHA512 20e707c070d41ab7ad903c4e743ee36b4b846aef158512c57759ab92cc59bb1f1605e3682af382710ccb062619fc6a8dbd11d7d8621606aa8bd415c231d511f7
DIST pydantic_core-2.8.0.tar.gz 341468 BLAKE2B 95884ef22201fe056347811b95e8e3cf97903e77525c31d91f7be4c7b9cabbcf358c1a39b474e8ff878ae8027372a3e8525f6710e2d6babf78619a664d0294cf SHA512 7e4b744aa10bedb4fb3661e3f5b8c85d7b5d820916e45fe394e32e3d43e6ae2b55632be224dbfdb7c416468d40145106a43afa369a59059d98b0def5233cb8a5
+DIST pydantic_core-2.9.0.tar.gz 345661 BLAKE2B 27e37046490162115be5a193ce914ce16f04ecb71744ed9368944b030d1f03f52ce5c21d0d350f87e2b595661f90990d56cac755382451e46ba6c1824e354086 SHA512 ad399a5a47dfe739b225370ccc0c35df6122bcf6cd0527b21657a89048da7c6134b03c2ba290c9e749a049eef8aafa7f25db44acdd3d4334f5cb02da2e0e957d
DIST pyo3-0.19.1.crate 418297 BLAKE2B 19ad6aa4fba175961b7fe97ae0bc45050f930859972b1b25cf0139bb3436c050ba76b63894f0df26174f141a52ac6abf10fd84c03c056af5a0665e723ae24195 SHA512 b27500cf49f1c6f217d21344d24ac96c07b82c157dd36fa4550b94059da5715ba7d0e085ec07dd5f8a8ac9de4d7e9239c1cceac4337294eb0dc9f6102049d5ff
DIST pyo3-0.19.2.crate 418228 BLAKE2B ee018b33383fada78cd22643aea9231a8c8a2f19d1eb297f40eec9206c5220f322fff4c926d939a93a24ac6d231a207ebb25afcc0709191151c7ed9af7465efa SHA512 58698183e0f2f0507f8f765bf3e90185c933e78d62f0a9be65c4b1ce8eea19a98fe0341abe7c58cafdacb63a012ec417876dccb7be6facc1360fcb22796fcaf9
DIST pyo3-build-config-0.19.1.crate 29205 BLAKE2B f88cbf9763fd68f7b30d109ae608efc29e0d4bf6672ee5f31b77342b5f37baa4f981916124af6897ccea3d93990ff889815fc3abbe9ce3fdbd860b6d5698b7da SHA512 311fef01ac2c3ce12485849cb99eba038a36260206308c5af4621fc5393f942e03aae4f6a5fe24ef3005eb781d2161453667ad552d6a371ddd96460b05a2e710
diff --git a/dev-python/pydantic-core/pydantic-core-2.9.0.ebuild b/dev-python/pydantic-core/pydantic-core-2.9.0.ebuild
new file mode 100644
index 000000000000..537e3abde29c
--- /dev/null
+++ b/dev-python/pydantic-core/pydantic-core-2.9.0.ebuild
@@ -0,0 +1,137 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+# pypy3 is waiting for new pyo3 release
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+CRATES="
+ ahash@0.8.3
+ aho-corasick@1.0.2
+ autocfg@1.1.0
+ base64@0.21.4
+ bitflags@1.3.2
+ cc@1.0.79
+ cfg-if@1.0.0
+ enum_dispatch@0.3.12
+ equivalent@1.0.1
+ form_urlencoded@1.2.0
+ getrandom@0.2.10
+ hashbrown@0.14.0
+ heck@0.4.1
+ idna@0.4.0
+ indexmap@2.0.0
+ indoc@1.0.9
+ itoa@1.0.8
+ libc@0.2.147
+ lock_api@0.4.10
+ memchr@2.6.3
+ memoffset@0.9.0
+ num-bigint@0.4.4
+ num-integer@0.1.45
+ num-traits@0.2.16
+ once_cell@1.18.0
+ parking_lot@0.12.1
+ parking_lot_core@0.9.8
+ percent-encoding@2.3.0
+ proc-macro2@1.0.64
+ pyo3-build-config@0.19.2
+ pyo3-ffi@0.19.2
+ pyo3-macros-backend@0.19.2
+ pyo3-macros@0.19.2
+ pyo3@0.19.2
+ python3-dll-a@0.2.9
+ quote@1.0.29
+ redox_syscall@0.3.5
+ regex-automata@0.3.8
+ regex-syntax@0.7.5
+ regex@1.9.5
+ rustversion@1.0.13
+ ryu@1.0.14
+ scopeguard@1.1.0
+ serde@1.0.188
+ serde_derive@1.0.188
+ serde_json@1.0.107
+ smallvec@1.11.0
+ speedate@0.12.0
+ strum@0.25.0
+ strum_macros@0.25.2
+ syn@1.0.109
+ syn@2.0.28
+ target-lexicon@0.12.9
+ tinyvec@1.6.0
+ tinyvec_macros@0.1.1
+ unicode-bidi@0.3.13
+ unicode-ident@1.0.10
+ unicode-normalization@0.1.22
+ unindent@0.1.11
+ url@2.4.1
+ uuid@1.4.1
+ version_check@0.9.4
+ wasi@0.11.0+wasi-snapshot-preview1
+ windows-targets@0.48.1
+ windows_aarch64_gnullvm@0.48.0
+ windows_aarch64_msvc@0.48.0
+ windows_i686_gnu@0.48.0
+ windows_i686_msvc@0.48.0
+ windows_x86_64_gnu@0.48.0
+ windows_x86_64_gnullvm@0.48.0
+ windows_x86_64_msvc@0.48.0
+"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Core validation logic for pydantic written in Rust"
+HOMEPAGE="
+ https://github.com/pydantic/pydantic-core/
+ https://pypi.org/project/pydantic-core/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/typing-extensions-4.7.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=virtual/rust-1.70.0
+ test? (
+ >=dev-python/dirty-equals-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.63.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.10.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-1.10.4[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2022.7.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/pydantic_core/_pydantic_core.*.so"
+
+src_prepare() {
+ sed -i -e '/--benchmark/d' pyproject.toml || die
+ sed -i -e '/^strip/d' Cargo.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ tests/benchmarks
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ rm -rf pydantic_core || die
+ epytest -p pytest_mock -p timeout
+}
diff --git a/dev-python/pydata-sphinx-theme/Manifest b/dev-python/pydata-sphinx-theme/Manifest
index 970880bc4d00..fb35105f59f9 100644
--- a/dev-python/pydata-sphinx-theme/Manifest
+++ b/dev-python/pydata-sphinx-theme/Manifest
@@ -1,4 +1,6 @@
DIST pydata-sphinx-theme-0.13.3.gh.tar.gz 3370023 BLAKE2B 3d5e05222cce5c92e0ffadbf91d3bfa575a809b06c23da800e845e5b4ec622a3bfba0f5a72cc0c969b1a074e765e611c2aeb3cef77842d51529537959a952cd5 SHA512 312308838a78bf66430660ee0d7484cf20004926446111e1e8bf89fc96b38f4b8345b96856705aaa56371b31c369066a043c53d263731ccb411e7e263fc3a96a
DIST pydata-sphinx-theme-0.14.0.gh.tar.gz 2412854 BLAKE2B 92e62820270db8a395be868ad400e672b9d081069ef252420e06fe966f18a8170354dbb034d3000abf12b2462b5f0793ed25bef2262735741757a4ae38bc179f SHA512 bd75f75eca88f2da8edd197934cc6257058b0fa5699c3f0a372647fc54fcdb5c2e4dc36fbf1a7ddc96a3751118f514374345e568774911feb1297c5b762ba3e3
+DIST pydata-sphinx-theme-0.14.1.gh.tar.gz 2413022 BLAKE2B b4e707e1407839ba796a19f5aea73056a6520f1f39d7e17adb3442e03942a457082ce74fd3f4ab64af15b30254c6f7c80f522f0b4bcc9aa77db01bee287c4fdd SHA512 515fa2e0e301a092cd414472302b1ad2571983bc69a7cc4e617122a64f7b7f53c8b80a4328da13529840cbb1ab7cf3fb2c2ee99688a8deb87f19529c6c64067d
DIST pydata_sphinx_theme-0.13.3-py3-none-any.whl 1979378 BLAKE2B 49f871167a73ee088aca87c49f728821a8df4b79015e543e84eee7ac85e2e8a81b3419cca0c8ad14197e44c2bb2b2533a9c7e9e29384d37956c5d814904cc2b7 SHA512 59ec688677cb6d150e4741e84bfd32914f139533118a297c6691b27ea56e2e85577593951a5b3daaf9d41c7de3cb8276c479b72b12c4e8921d7418c75dfe90ff
DIST pydata_sphinx_theme-0.14.0-py3-none-any.whl 3778988 BLAKE2B c6c368bb63d3014728a9ecc26f70efd61c38282e8123494a08ec747b9717c35ef83ef79f83b7235c90f6dffe2d23da77f9743c4abfd6a71c03dfd6b272d33ef3 SHA512 3dac39d1fc16cde46a1bc98b12fdfdb53bdf4e49b4218fa75b387387756a62c5f0a4a642cb6b4fea57e8e541112644b82d1e442ce7aeee18d62e3de965b64073
+DIST pydata_sphinx_theme-0.14.1-py3-none-any.whl 3780482 BLAKE2B 58ebe2d3d176295bc335a176eeccd95859862e085f570c8ef6e80ade320d624fd6b2a94b6a2fab08211e520939bc651cd454bfe5037bc16104de2ecf295871e6 SHA512 7e9f76e2dfd7bd9049ae007b5af1ad65d61aa44f0c7370794856b664aa1a735dce65a1f0368fae0bb6049ee767e3ca0c4ca4f1ea6615858626c03e3a4ce81856
diff --git a/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.14.1.ebuild b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.14.1.ebuild
new file mode 100644
index 000000000000..8fafa8f45d4c
--- /dev/null
+++ b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.14.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Bootstrap-based Sphinx theme from the PyData community"
+HOMEPAGE="
+ https://github.com/pydata/pydata-sphinx-theme/
+ https://pypi.org/project/pydata-sphinx-theme/
+"
+SRC_URI="
+ https://github.com/pydata/pydata-sphinx-theme/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ $(pypi_wheel_url)
+"
+
+LICENSE="BSD-with-disclosure"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/accessible-pygments[${PYTHON_USEDEP}]
+ dev-python/Babel[${PYTHON_USEDEP}]
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-5[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-regressions[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils_wheel_install "${BUILD_DIR}/install" \
+ "${DISTDIR}/$(pypi_wheel_name)"
+}
diff --git a/dev-python/pyproj/Manifest b/dev-python/pyproj/Manifest
index be235bf1c216..43bfc94e36e5 100644
--- a/dev-python/pyproj/Manifest
+++ b/dev-python/pyproj/Manifest
@@ -1 +1,2 @@
DIST pyproj-3.6.0.gh.tar.gz 238966 BLAKE2B 441904a343b7abab19e9d17a1bcb053d4f5606886b1325cfadcdd8456b61871bee4d13c49802008aea5c5864c40ef15a4a7681969890368a1991ba696b76ab78 SHA512 e713de94331022112049e76f7f56d24439a0dee339e8419acf8b023b3234a7c2ba468bed880749036fca2a93b289575ebb74854ba178f3b6debae8aa53befcf7
+DIST pyproj-3.6.1.gh.tar.gz 239568 BLAKE2B e396e7c13dfc90f8a8eaf93b7bc0e62921779930d9c42b21ce8afa95597b13e527c179096600f40140d6d00d0f425580fccc34ae55a4e8c985d1b618554c9db4 SHA512 19c55e7ab99aae70bc318246146dc98ba75cc4884de798392f590df48c6a83e1b80504fd9c555ffd9d19262eb93cdf2c46e4805a3ae6dc07b3eaa4669f025ff0
diff --git a/dev-python/pyproj/pyproj-3.6.1.ebuild b/dev-python/pyproj/pyproj-3.6.1.ebuild
new file mode 100644
index 000000000000..9591127e7cf0
--- /dev/null
+++ b/dev-python/pyproj/pyproj-3.6.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface to the PROJ library"
+HOMEPAGE="
+ https://github.com/pyproj4/pyproj/
+ https://pypi.org/project/pyproj/
+"
+SRC_URI="
+ https://github.com/pyproj4/pyproj/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux"
+
+DEPEND="
+ >=sci-libs/proj-9.0.0:=
+"
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ ${DEPEND}
+"
+BDEPEND="
+ >=dev-python/cython-3[${PYTHON_USEDEP}]
+ test? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/shapely[${PYTHON_USEDEP}]
+ dev-python/xarray[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_configure() {
+ # Avoid greedily trying -L/usr/lib, etc
+ # https://github.com/pyproj4/pyproj/blob/main/setup.py#L76
+ export PROJ_LIBDIR="${ESYSROOT}/usr/$(get_libdir)"
+ export PROJ_INCDIR="${ESYSROOT}/usr/include"
+}
+
+python_test() {
+ rm -rf pyproj || die
+ epytest -m "not network" test
+}
diff --git a/dev-python/scikit-build-core/Manifest b/dev-python/scikit-build-core/Manifest
index 7f2a65bb66fe..897371efb243 100644
--- a/dev-python/scikit-build-core/Manifest
+++ b/dev-python/scikit-build-core/Manifest
@@ -1,3 +1,4 @@
DIST scikit_build_core-0.4.7.tar.gz 161024 BLAKE2B a06136ca6144305290dcebacd33690556ce30c28793572adfd7b42b043d4bb7f2e6e8000fcb543608d33a130f7094683a31870aa40067fb24fbb453fed884ccf SHA512 39f99facc920e3a46a3592d15ce9f3ceb90cf92dca8a010546a9cc15d50ea7737951286b6474f2f3f68f206f4fa7d157931fcfa831e122f51266df56ec5f043e
DIST scikit_build_core-0.4.8.tar.gz 163396 BLAKE2B f432d144babd6be45a730e0566cf6fe8bea051b85364b0af26655e0679a0d458f3fd106e816f09557110a6e4e1fed056d1c6454c044ab34dfcc6530cad6020e3 SHA512 55ded022de13bbc60e5abed7b39466751abda3d66a0fa1c094ccd3ab28a93ac3437db2fb8e53381bbe0f7da9985ea5a6fd129af24e6654d3df48c704fb4612f1
DIST scikit_build_core-0.5.0.tar.gz 177478 BLAKE2B e3f3d4bb60fcdc87b32799a663a96bfc994969c3a9dd6c73bd5f27720482cd02b8bbf75f7aee8b39c3b73dc8b6740c526a144b59ecb029e7de3b604dcb1aceb8 SHA512 68bd13b5f97aa498189a61e342bdcb6fa5ea45d8ee73cc557b1e67c9a8d411ef93ea59a954210f48b76e7c1a2f645e4e34686e6fa122929cf0bc69a9f3846600
+DIST scikit_build_core-0.5.1.tar.gz 179718 BLAKE2B 31cd974a3deec188dc97ca708a04badfa8d75a0e66e85a2a814816bac126921aa5531f4f0de56f93a264b98edd341498298e1536502506d7b47ff40ca8bf92da SHA512 de7dd843a7979615a1421bc9ea6c0fde40b72ed94209783f176a5fb427a9fdee497a69e891441591d65d06a3ea619c4c67c9314cf0b7622d19cd88c149b43c7b
diff --git a/dev-python/scikit-build-core/scikit-build-core-0.5.1.ebuild b/dev-python/scikit-build-core/scikit-build-core-0.5.1.ebuild
new file mode 100644
index 000000000000..cac4fbdd00cf
--- /dev/null
+++ b/dev-python/scikit-build-core/scikit-build-core-0.5.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Build backend for CMake based projects"
+HOMEPAGE="
+ https://github.com/scikit-build/scikit-build-core/
+ https://pypi.org/project/scikit-build-core/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# we always want [pyproject] extra
+RDEPEND="
+ >=dev-python/packaging-20.9[${PYTHON_USEDEP}]
+ >=dev-python/pathspec-0.10.1[${PYTHON_USEDEP}]
+ >=dev-python/pyproject-metadata-0.5[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/exceptiongroup[${PYTHON_USEDEP}]
+ >=dev-python/tomli-1.1[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/build[${PYTHON_USEDEP}]
+ >=dev-python/cattrs-22.2.0[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ >=dev-python/pytest-subprocess-1.5[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO / we don't package validate_pyproject anyway
+ tests/test_schema.py::test_compare_schemas
+ )
+
+ epytest -m "not isolated and not network"
+}
diff --git a/dev-python/setuptools-scm/Manifest b/dev-python/setuptools-scm/Manifest
index 1098d86add27..106559c11ee0 100644
--- a/dev-python/setuptools-scm/Manifest
+++ b/dev-python/setuptools-scm/Manifest
@@ -1 +1,2 @@
+DIST setuptools-scm-8.0.1.tar.gz 71827 BLAKE2B 4011879490a02f5bb8b4fa0292ee696010cca9cb5c322854f2c342b4c02a86f7a31535c3fe7b4e6eab4fb77c90a469714227c1487ee7e1c1d4de3a4db1137b6b SHA512 05c087cbcb8bf2f03d68cf91e5545c25dea85d61d16c26194ade42a5e78a573f1adc4265897998d4b151834e994b3aa32e02a1eb2fa103a4cd1f3c8e3b78d8d4
DIST setuptools_scm-7.1.0.tar.gz 71904 BLAKE2B be5ae215dadcc290290762b732434258409ecc2d71cdf1332ffe73431effae7cbc33e052a718efd952be79350171ed3e468492fc719bc08750dc23364fb0ee9d SHA512 bd7260672c213db6b8c5842dbb6ac69e69ce040777865c935033971f65d905bd8e6b54e174190a924e452c302e69d4c1de231cbc8f603176ba013a739840dad3
diff --git a/dev-python/setuptools-scm/setuptools-scm-8.0.1.ebuild b/dev-python/setuptools-scm/setuptools-scm-8.0.1.ebuild
new file mode 100644
index 000000000000..e7ac14cc8268
--- /dev/null
+++ b/dev-python/setuptools-scm/setuptools-scm-8.0.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Manage versions by scm tags via setuptools"
+HOMEPAGE="
+ https://github.com/pypa/setuptools_scm/
+ https://pypi.org/project/setuptools-scm/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+# there's an optional dep on rich for cute logs
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-vcs/git
+ !sparc? (
+ dev-vcs/mercurial
+ )
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # the usual nondescript gpg-agent failure
+ testing/test_git.py::test_git_getdate_signed_commit
+
+ # fetching from the Internet
+ testing/test_regressions.py::test_pip_download
+ )
+
+ if has_version dev-python/nose; then
+ EPYTEST_DESELECT+=(
+ # https://bugs.gentoo.org/892639
+ testing/test_integration.py::test_pyproject_support
+ )
+ fi
+
+ epytest
+}
diff --git a/dev-python/sphinx-pytest/Manifest b/dev-python/sphinx-pytest/Manifest
index c4353293bdc7..4cef5880778a 100644
--- a/dev-python/sphinx-pytest/Manifest
+++ b/dev-python/sphinx-pytest/Manifest
@@ -1 +1,2 @@
DIST sphinx-pytest-0.1.1.gh.tar.gz 6744 BLAKE2B f196a9fff7a63d1b7664f334c01f38fc44f5611be012092dad077f27bb2ddf03f2ebb7ebcbf7132a9b8c8b17166673945e9b92e88f285c4c95c4c2a696285cbc SHA512 f3210f8b2413171cc37a38fc66b8be0cd32db1a0aebb979dc9057a861711481fde6b86b7c9548166f906d9483762b864759fb4f7ba5069cda4d9fc12c1e2975c
+DIST sphinx-pytest-0.2.0.gh.tar.gz 6935 BLAKE2B a18755669865512ee5ecec46abebf654705efb64165306126144af9df056a829efc5c818abad2477e86edb3da2cb1bf4aadc4e8807cf3c289e29fffa249bbfbf SHA512 dfcbe36c74bf01ff45895893faa11a643b667d277e5f5011978c5cd1404f79d614c6603cf8756ef3e5fec278ea01c6e289cb825725e4e218f75a7bcb12e11bbb
diff --git a/dev-python/sphinx-pytest/sphinx-pytest-0.2.0.ebuild b/dev-python/sphinx-pytest/sphinx-pytest-0.2.0.ebuild
new file mode 100644
index 000000000000..3ad050328fef
--- /dev/null
+++ b/dev-python/sphinx-pytest/sphinx-pytest-0.2.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Helpful pytest fixtures for Sphinx extensions"
+HOMEPAGE="
+ https://github.com/sphinx-extensions2/sphinx-pytest/
+ https://pypi.org/project/sphinx_pytest/
+"
+SRC_URI="
+ https://github.com/sphinx-extensions2/sphinx-pytest/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/sqlalchemy/sqlalchemy-2.0.21.ebuild b/dev-python/sqlalchemy/sqlalchemy-2.0.21.ebuild
index ea6f53a36cd5..ee0244d55781 100644
--- a/dev-python/sqlalchemy/sqlalchemy-2.0.21.ebuild
+++ b/dev-python/sqlalchemy/sqlalchemy-2.0.21.ebuild
@@ -8,7 +8,7 @@ DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
PYTHON_REQ_USE="sqlite?"
-inherit distutils-r1 optfeature pypi
+inherit distutils-r1 multiprocessing optfeature pypi
MY_PN="SQLAlchemy"
DESCRIPTION="Python SQL toolkit and Object Relational Mapper"
@@ -32,6 +32,8 @@ BDEPEND="
dev-python/cython[${PYTHON_USEDEP}]
test? (
$(python_gen_impl_dep sqlite)
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
"
@@ -87,14 +89,8 @@ python_test() {
# means that any DeprecationWarnings from third-party plugins cause
# everything to explode
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- local -x PYTEST_PLUGINS=
- # upstream automagically depends on xdist when it is importable
- # note that we can't use xdist because it causes nodes to randomly
- # crash on init
- if has_version "dev-python/pytest-xdist[${PYTHON_USEDEP}]"; then
- PYTEST_PLUGINS+=xdist.plugin
- fi
- epytest
+ epytest -p rerunfailures --reruns=10 --reruns-delay=2 \
+ -p xdist -n "$(makeopts_jobs)" --dist=worksteal
}
python_install_all() {
diff --git a/dev-python/unearth/Manifest b/dev-python/unearth/Manifest
index bf545b1dc31d..15f4d85f544e 100644
--- a/dev-python/unearth/Manifest
+++ b/dev-python/unearth/Manifest
@@ -1 +1,2 @@
DIST unearth-0.10.0.tar.gz 270997 BLAKE2B 8b18df4616fc72025492aa187101bc1f338967b1738ef9ec33d16cbd906c1cf91c1b84e391538521b4a9d6ea40301eb0b7ed0926aa4e6c4d6ffc57401f9d78d9 SHA512 98799202939e1206b6fdd46eb61947c9f9f8068a6857f76aace8dd2c67a3fad9dd3b7a5232d7812b0dcd214c39a9e2a6fafbd18cbfeb9aa4c216571b88b3f131
+DIST unearth-0.11.0.tar.gz 271154 BLAKE2B 405c97ef152afb241cb70d9b309fd1ac454be932c96f95b606bb6038ffb2369fbc55c6afabd86f6a15949182de276dcda035fdb17d4810933286a0fa0b567e42 SHA512 70a06a32f6f2ca74c16a55f9613b543d807e437bd99c0ebb02c0d721144cf45208df78940ee41911a8168c9181ec733b9aec2176038b2556d0e2ad5e8c2cc0d4
diff --git a/dev-python/unearth/unearth-0.11.0.ebuild b/dev-python/unearth/unearth-0.11.0.ebuild
new file mode 100644
index 000000000000..a9e8d6d71302
--- /dev/null
+++ b/dev-python/unearth/unearth-0.11.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A utility to fetch and download python packages"
+HOMEPAGE="
+ https://pypi.org/project/unearth/
+ https://github.com/frostming/unearth/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/requests-wsgi-adapter[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_httpserver
+}